Skip to main content
POST
Create an ingredient

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

The request body to create an ingredient to be included with dishes requires the following properties: name, price, and in_stock_qty.

name
string
required

The ingredient name to display in the client app.

Example:

"Carrot"

in_stock_qty
integer
required

The quantity of the ingredient currently in stock. This field is used to track the ingredient inventory. If the ingredient is essential and has a value of 0, the associated dish cannot be ordered via the client app.

Example:

3

price
number<float>
required

The price used by the client app to calculate order cost.

Example:

999

Response

Ingredient created successfully

id
string
read-only

A unique alpha-numeric string generated by the system when creating a resource (e.g., dishes, ingredients, etc). Ids are required for retrieving the properties of a specific resource.

Example:

"674d0bf5c28b69001f8e03a1"

created_at
string<date-time>
read-only

The date and time the resource was created. Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

updated_at
string<date-time>
read-only

The date and time the resource was last updated.

Timestamp uses ISO 8601 format, Ex: 2025-04-05T14:55:03.824Z

Example:

"2024-04-22T10:00:00Z"

name
string

The name of the ingredient that will appear in the client app.

Example:

"Carrot"

in_stock_qty
integer

The quantity of the ingredient currently in stock. This field is used to track the ingredient inventory. If the ingredient is essential and has a value of 0, the associated dish cannot be ordered via the client app.

Example:

3

price
number<float>

The price used by the client app to calculate order cost.

Example:

999